=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2003-2008, 2010 Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for GD
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

-include /usr/share/cdbs/1/rules/upstream-tarball.mk
-include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/rules/debhelper.mk
# Put perlmodule.mk last to dh_clean temporary files not in MANIFEST
include /usr/share/cdbs/1/class/perlmodule.mk

# Silence optional build-dependencies to ease backporting
CDBS_BUILD_DEPENDS_rules_upstream-tarball =
CDBS_BUILD_DEPENDS_rules_utils_copyright-check =

DEB_UPSTREAM_PACKAGE = GD
DEB_UPSTREAM_URL = http://www.cpan.org/modules/by-module/GD
DEB_UPSTREAM_TARBALL_MD5 = 15d523ea72b552863453882f7d132712

# Suppress some graphics (in addition to default stuff)
DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^\./(demos/font_list\.png|t/test.out.*|debian/(changelog|copyright(|_hints|_newhints)))$

DEB_INSTALL_DOCS_ALL += GD.html README.unix README.QUICKDRAW
DEB_INSTALL_EXAMPLES_ALL = demos bdf_scripts qd.pl
DEB_INSTALL_EXAMPLES_libgd-gd2-perl = $(DEB_INSTALL_EXAMPLES_ALL)
DEB_INSTALL_EXAMPLES_libgd-gd2-noxpm-perl = $(DEB_INSTALL_EXAMPLES_ALL)

common-post-build-arch::
	pod2html --outfile=GD.html GD.pm

# qd.pl and bdf2gdfont.pl are installed as example scripts instead
common-binary-post-install-arch::
	find "$(DEB_DESTDIR)" -type f -and '(' -name '*qd.pl*' -or -name '*bdf2gdfont.pl*' ')' -and -not -path '*/usr/share/doc/*' -exec rm -r '{}' ';'

# Remove stray empty dirs (due to MakeMaker stupidity and above cleanup)
common-binary-post-install-arch::
	find "$(DEB_DESTDIR)" -empty -depth -exec rm -rf '{}' ';'

# Manually clean leftovers
clean::
	rm -f GD.html pod2html*

# Needed for by upstream build process
CDBS_BUILD_DEPENDS += , libgd2-xpm-dev (>= 2.0.28), libjpeg62-dev, libpng12-dev, libz-dev, libfreetype6-dev, libxpm-dev, libx11-dev
