## libgd-gd2-perl 2.46

=== debian/changelog ===
libgd-gd2-perl (1:2.46-3.1build1) trusty; urgency=low

  * Rebuild for Perl 5.18.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 21 Oct 2013 10:06:25 +0100

libgd-gd2-perl (1:2.46-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add regression test files matching libgd 2.1.0-rc1, confirmed to be
    visually indistinguishable (closes: #709048).

 -- Colin Watson <cjwatson@debian.org>  Sat, 22 Jun 2013 11:26:00 +0100

libgd-gd2-perl (1:2.46-3) unstable; urgency=low

  * Fix FTBFS on perl 5.14: append $Config{ccflags} to CCFLAGS
    (Closes: #636649)

 -- Dominic Hargreaves <dom@earth.li>  Thu, 04 Aug 2011 21:40:26 +0100

libgd-gd2-perl (1:2.46-2) unstable; urgency=low

  * build-depend on libjpeg-dev (Closes: #636451)
    Needed a patch to disable the JPEG test as that is buggy and fails with
    libjpeg8 (Closes: #565920)
  * stop shipping HTML variant of GD POD
  * fix interpreter path in examples (Closes: #601404)
  * add patch fixing POD errors

 -- Damyan Ivanov <dmn@debian.org>  Wed, 03 Aug 2011 15:50:23 +0300

libgd-gd2-perl (1:2.46-1) unstable; urgency=low

  * New upstream release.
  * Tidy watch file: Strip unneeded + in regexp.
  * Update copyright file:
    + Rewrite using draft 174 of DEP-5 format.
    + Extend copyright years for Debian packaging.
    + Fix use initial wildcard Files section.
    + Rewrap license fields at 72 chars.
  * Bump policy compliance to standards-version 3.9.2.
  * Drop removal-during-install of no longer shipped bdf2gdfont.pl.
  * Improve package relations:
    + Relax (drop versioning) for package satisifed even in oldstable:
      - libgd2-xpm-dev

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 08 May 2011 15:31:18 +0200

libgd-gd2-perl (1:2.45-2) unstable; urgency=low

  * Fix update watch file to track both by-modules and search.cpan.org.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 11 Mar 2011 16:42:52 +0100

libgd-gd2-perl (1:2.45-1) unstable; urgency=low

  * Add by-author URL to watch file (in addition to by-module one).
  * Update md5sum hint for new upstream 2.45 release.
  * Use CDBS perl-makemaker.mk (not deprecated perlmodule.mk).
  * Update copyright file:
    + Rewrite using DEP5 Subversion draft rev.173.
    + Extend years.
    + Update mail licensing to Artistic-2.0 or GPL-1+.
    + Add verbatim copy of Artistic-2.0.
  * Adapt copyright-check suppression hint for newer CDBS.
  * Build-depend unversioned on cdbs: Satisfied even by oldstable.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 11 Mar 2011 12:09:02 +0100

libgd-gd2-perl (1:2.45-0.1) experimental; urgency=low

  * New upstream version.
  * Non-maintainer upload.
  * Added two more files to delete after build.

 -- Steffen Moeller <moeller@debian.org>  Sat, 29 Jan 2011 16:25:06 +0100
