=== debian/control ===
--- 
+++ 
@@ -2,13 +2,14 @@
 Section: perl
 Priority: extra
 Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
-Uploaders: Jonas Smedegaard <dr@jones.dk>
-Build-Depends: cdbs,
+Uploaders: Jonas Smedegaard <dr@jones.dk>,
+ Dominic Hargreaves <dom@earth.li>
+Build-Depends: cdbs (>= 0.4.73~),
+ perl,
  debhelper (>= 6),
  dh-buildinfo,
- perl,
- libgd2-xpm-dev (>= 2.0.28),
- libjpeg62-dev,
+ libgd2-xpm-dev,
+ libjpeg-dev,
  libpng12-dev,
  libz-dev,
  libfreetype6-dev,
@@ -16,7 +17,7 @@
  libx11-dev
 Vcs-Git: git://git.debian.org/git/pkg-perl/packages/libgd-gd2-perl
 Vcs-Browser: http://git.debian.org/?p=pkg-perl/packages/libgd-gd2-perl.git
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://search.cpan.org/dist/GD/
 
 Package: libgd-gd2-perl
